﻿# -*- coding: utf_8 -*-
import os, sys, ConfigParser, types, codecs, locale

settingPath	= './setting.ini'
setting	= None
config = ConfigParser.SafeConfigParser()
baseEncoding	= 'utf_8'


def init():
	readConfig()
	
def readConfig():
	global config, settingPath
	if os.path.exists(settingPath):
		fileObj = file(settingPath,"rU")
		fileObj.seek(len(codecs.BOM_UTF8))
		curfile = codecs.EncodedFile(fileObj, baseEncoding)
		config.readfp(curfile)
	
def writeConfig():
	global config, settingPath
	fileObj = file(settingPath,"wb")
	fileObj.write(codecs.BOM_UTF8)
	curfile = codecs.EncodedFile(fileObj, baseEncoding)
	config.write(curfile)

def get(section, option):
	global config
	if config.has_section(section) is False: return None
	if config.has_option(section, option) is False: return None
	value = config.get(section, option, raw=True) # All the "%" interpolations are expanded in the return values(blabla)unless the raw argument is true. 
	if type(value) is types.StringType:
		return unicode(value, baseEncoding)
	else:
		return value

def getboolean(section, option):
	global config
	if config.has_section(section) is False: return None
	if config.has_option(section, option) is False: return None
	return config.getboolean(section, option)

def getint(section, option):
	global config
	if config.has_section(section) is False: return None
	if config.has_option(section, option) is False: return None
	return config.getint(section, option)
	
def set(section, option, value):
	global config
	if config.has_section(section) is False: config.add_section(section)
	if isinstance(value, basestring):
		if isinstance(value, unicode):
			config.set(section, option, value.encode(baseEncoding))
		else:
			try:
				config.set(section, option, value.decode(locale.getpreferredencoding()).encode(baseEncoding))
			except UnicodeDecodeError:
				try:
					config.set(section, option, value.decode(baseEncoding).encode(baseEncoding))
				except UnicodeDecodeError:
					print "Failed to decode"
	else:
		config.set(section, option, str(value).encode(baseEncoding))
	writeConfig()#better idea?
	
