﻿# -*- coding: utf_8 -*-
import sys, os
if len(sys.argv) > 0:
	curPath = os.path.dirname(sys.argv[0])
else:
	curPath = './'
	
seqID = 20 # don't conflict with M$ resource
def seqIDplusplus():
	global seqID
	seqID += 1
	return seqID

import imp, os, sys

def main_is_frozen():
	return (hasattr(sys, "frozen") or # new py2exe
		hasattr(sys, "importers") # old py2exe
		or imp.is_frozen("__main__")) # tools/freeze

def get_main_dir():
	if main_is_frozen():
		return os.path.dirname(sys.executable)
	return os.path.dirname(sys.argv[0])
	
id_path_dict = dict()
def GetBitmapRes(id):
	global id_path_dict
	import wx
	if main_is_frozen():
		import win32api
		exeName = win32api.GetModuleFileName(win32api.GetModuleHandle(None))
		temp = wx.EmptyBitmap(16,16)
		temp.CopyFromIcon(wx.Icon(exeName+ ";-%d"%(id), wx.BITMAP_TYPE_ICO, 16, 16))
		return temp
	else:
		return wx.BitmapFromImage(wx.Image(id_path_dict[id]))	

def GetIconRes(id):
	global id_path_dict
	import wx
	if main_is_frozen():
		import win32api
		exeName = win32api.GetModuleFileName(win32api.GetModuleHandle(None))
		return wx.Icon(exeName+ ";-%d"%(id), wx.BITMAP_TYPE_ICO, 16, 16)
	else:
		return wx.Icon(id_path_dict[id], wx.BITMAP_TYPE_ICO)

		
IDS_TITLE	= u"thbgm player"
IDS_ABOUT_MESSAGE	= u"Simple Touhou series BGM player program Released in GPL.\nAll rights to Touhou series's Icons are owned and reserved by 上海アリス幻樂団"
ID_PROGICON	= 0 #special case, main program icon, zero-based index for locating prog icon
ICON_PROGICON_PATH	= os.path.join(curPath,"./icons/progicon.ico")
id_path_dict[ID_PROGICON] = ICON_PROGICON_PATH

ID_ABOUT    = seqIDplusplus()
IDS_ABOUT   = u"About"

ID_EXIT = seqIDplusplus()
IDS_EXIT    = u"Exit"

ID_BGMPATH  = seqIDplusplus()
IDS_BGMPATH = u"BGM Path"

ID_CTL_PLAY = seqIDplusplus()
ICON_CTL_PLAY_PATH	= os.path.join(curPath,"./icons/play.ico")
id_path_dict[ID_CTL_PLAY]	= ICON_CTL_PLAY_PATH

ID_CTL_STOP = seqIDplusplus()
ICON_CTL_STOP_PATH	= os.path.join(curPath,"./icons/stop.ico")
id_path_dict[ID_CTL_STOP]	= ICON_CTL_STOP_PATH

ID_CTL_PAUSE = seqIDplusplus()
ICON_CTL_PAUSE_PATH	= os.path.join(curPath,"./icons/pause.ico")
id_path_dict[ID_CTL_PAUSE]	= ICON_CTL_PAUSE_PATH

ID_CTL_PREV = seqIDplusplus()
ICON_CTL_PREV_PATH	= os.path.join(curPath,"./icons/prev.ico")
id_path_dict[ID_CTL_PREV]	= ICON_CTL_PREV_PATH

ID_CTL_NEXT = seqIDplusplus()
ICON_CTL_NEXT_PATH	= os.path.join(curPath,"./icons/next.ico")
id_path_dict[ID_CTL_NEXT]	= ICON_CTL_NEXT_PATH

ID_ORDER_SEQUENCE = seqIDplusplus()
ICON_ORDER_SEQUENCE_PATH	= os.path.join(curPath,"./icons/sequence.ico")
id_path_dict[ID_ORDER_SEQUENCE]	= ICON_ORDER_SEQUENCE_PATH

ID_ORDER_SHUFFLE = seqIDplusplus()
ICON_ORDER_SHUFFLE_PATH	= os.path.join(curPath,"./icons/shuffle.ico")
id_path_dict[ID_ORDER_SHUFFLE]	= ICON_ORDER_SHUFFLE_PATH

ID_ORDER_REPEAT = seqIDplusplus()
ICON_ORDER_REPEAT_PATH	= os.path.join(curPath,"./icons/repeat.ico")
id_path_dict[ID_ORDER_REPEAT]	= ICON_ORDER_REPEAT_PATH

ID_CTL_ENABLETRAY = seqIDplusplus()
ICON_CTL_ENABLETRAY_PATH	= os.path.join(curPath,"./icons/enabletray.ico")
id_path_dict[ID_CTL_ENABLETRAY]	= ICON_CTL_ENABLETRAY_PATH

ID_CTL_LOOPINC	= seqIDplusplus()
ICON_CTL_LOOPINC_PATH	= os.path.join(curPath,"./icons/loopinc.ico")
id_path_dict[ID_CTL_LOOPINC]	= ICON_CTL_LOOPINC_PATH

ID_CTL_LOOPDEC	= seqIDplusplus()
ICON_CTL_LOOPDEC_PATH	= os.path.join(curPath,"./icons/loopdec.ico")
id_path_dict[ID_CTL_LOOPDEC]	= ICON_CTL_LOOPDEC_PATH

ID_TH06_BGM	= seqIDplusplus()
ICON_TH06_BGM_PATH	= os.path.join(curPath,"./origicons/th06.ico")
id_path_dict[ID_TH06_BGM]	= ICON_TH06_BGM_PATH

ID_TH07_BGM	= seqIDplusplus()
ICON_TH07_BGM_PATH	= os.path.join(curPath,"./origicons/th07.ico")
id_path_dict[ID_TH07_BGM]	= ICON_TH07_BGM_PATH

ID_TH075_BGM	= seqIDplusplus()
ICON_TH075_BGM_PATH	= os.path.join(curPath,"./origicons/th075.ico")
id_path_dict[ID_TH075_BGM]	= ICON_TH075_BGM_PATH

ID_TH08_BGM	= seqIDplusplus()
ICON_TH08_BGM_PATH	= os.path.join(curPath,"./origicons/th08.ico")
id_path_dict[ID_TH08_BGM]	= ICON_TH08_BGM_PATH

ID_TH09_BGM	= seqIDplusplus()
ICON_TH09_BGM_PATH	= os.path.join(curPath,"./origicons/th09.ico")
id_path_dict[ID_TH09_BGM]	= ICON_TH09_BGM_PATH

ID_TH095_BGM	= seqIDplusplus()
ICON_TH095_BGM_PATH	= os.path.join(curPath,"./origicons/th095.ico")
id_path_dict[ID_TH095_BGM]	= ICON_TH095_BGM_PATH

ID_SONG_CHOICE	= seqIDplusplus()

IDS_CTL_PREV	= u"Previous"
IDS_CTL_STOP	= u"Stop"
IDS_CTL_PAUSE	= u"Pause"
IDS_CTL_PLAY	= u"Play"
IDS_CTL_NEXT	= u"Next"
IDS_SEQUENCE	= u"Sequence"
IDS_SHUFFLE	= u"Shuffle"
IDS_REPEAT	= u"Repeat"
IDS_CTL_LOOPINC	= u"Increase repeat"
IDS_CTL_LOOPDEC	= u"Decrease repeat"
IDS_OPERATION   = u"Operation"
IDS_SETTING = u"Setting"
IDS_HELP    = u"Help"
IDS_MINITOTRAY	= u"Minimize to tray"
IDS_FAILED	= u"Failed"
IDS_FAILEDTOLOC	= u"Failed to locate certain BGM in path."
